#ifndef __ConsoleObservable_interface__
#define __ConsoleObservable_interface__

#include "ConsoleObserver.H"
#include "events/ConsoleEvents.H"
#include <vector>

class ConsoleObservable : public ConsoleEvents
{
  typedef std::vector<ConsoleObserver*> ObserverList;
  ObserverList listener;
public:
  void Attach(ConsoleObserver* o);
  void Dettach(ConsoleObserver* o);
  void Notify(ConsoleEvent event, ConsoleEventInfo info);
};
#endif /* __ConsoleObservable_interface__ */
