#ifndef __Display_interface__
#define __Display_interface__

class Display 
{
public: 
  Display() {}
  virtual ~Display() {}

  // clear display area
  virtual bool Clear() = 0;
  
  // show changes to display area
  virtual bool Refresh() = 0;

  // reset display
  virtual bool Reset() = 0;

  // print string (at position)
  virtual bool Print(const char*) = 0;
  virtual bool Print(int x, int y, const char*) = 0;

  // show symbol on given display position
  virtual bool ShowSymbol(int x, int y, const char symbol) = 0;
};
#endif /* __Display_interface__ */
