#ifndef __InputSource_interface__
#define __InputSource_interface__

#include "InputObserver.H"
#include <vector>

class InputSource : public InputEvents 
{
  typedef std::vector<InputObserver*> ObserverList;
  ObserverList listener;
public:
  virtual ~InputSource() {}

  void Attach(InputObserver* o);
  void Dettach(InputObserver* o);
  void Notify(InputEvent event, int value);

  // return false if no events are pending
  virtual bool GetEvent() = 0;
};
#endif /* __InputSource_interface__ */
