#ifndef __FSObjImpl_h__
#define __FSObjImpl_h__

#include "fs/FSResult.H"

/**
 * Interface for the implementation of a filesystem specific object.
 */
class FSObjImpl
{
public:
  virtual ~FSObjImpl() {}
  
  /**
   * Creates a new reference for this file.
   */
  virtual void new_reference () = 0;

  /**
   * Deletes a reference for this file.
   */
  virtual void release_reference () = 0;
};

#endif // __FSDirImpl_h__
