#ifndef __Errno_h__
#define __Errno_h__

// Error-Codes
#define SNFSE_NOERROR                        0
#define SNFSE_BLKDEV_INIT_FAILED            -1
#define SNFSE_BLKDEV_READ_FAILED            -2
#define SNFSE_BLKDEV_WRITE_FAILED           -3
#define SNFSE_SUPERBLK_INIT_FAILED          -4
#define SNFSE_SUPERBLK_BADMAGICNUMBER       -5
#define SNFSE_BYTELOGBLKDEV_INIT_FAILED     -6
#define SNFSE_BLKGRP_INIT_FAILED            -7
#define SNFSE_BLKGRP_NOFREEBLOCK_AVAILABLE  -8
#define SNFSE_BLKGRP_RESETBLOCK_FAILED      -9
#define SNFSE_INODELIST_INSERT_FAILED       -10
#define SNFSE_INODE_OPEN_FAILED             -11
#define SNFSE_INODE_EOF                     -12
#define SNFSE_DIR_BUFFER_TOO_SMALL          -13
#define SNFSE_DIR_NOMEM                     -14
#define SNFSE_DIR_NOSUCHFILE                -15
#define SNFSE_DIR_EOF                       -16
#define SNFSE_NOMEM                         -17
#define SNFSE_BAD_BLOCKSIZE                 -18
#define SNFSE_READONLY                      -19
#define SNFSE_DIR_FILEEXISTS                -20
#define SNFSE_BLKGRP_NOFREEINODE_AVAILABLE  -21
#define SNFSE_DIR_NOTEMPTY                  -22
#define SNFSE_DIR_OWN_SUBSTRUCTURE          -23
#define SNFSE_UNKNOWN_ERROR                 -24

#define SNFSE_FS_NULL_DEVICE                -30
#define SNFSE_FS_INIT_FAILED                -31
#define SNFSE_FS_ROOT_FAILED                -32

#endif /* __Errno_h__ */
