#include "fs/ext2/EXT2Obj.H"
#include "fs/ext2/errno.h"

EXT2Obj::EXT2Obj(EXT2FS *filesystem, unsigned long i) : 
  reference_count(0), inode(i), fs(filesystem) {}

EXT2FS* EXT2Obj::filesystem() 
{ 
  return fs;
}

void EXT2Obj::new_reference() 
{ 
  reference_count++;
}

void EXT2Obj::release_reference() 
{ 
  if ((--reference_count) == 0) delete this; 
}
