#ifndef __DisplayObserver_interface__
#define __DisplayObserver_interface__

#include "Console.H"
#include "ConsoleObserver.H"
#include "display/Display.H"

class DisplayObserver : public ConsoleObserver
{
protected:
  Console *_console;
  Display *_dsp;
public:
  DisplayObserver(Console* con, Display* dsp);
  ~DisplayObserver() {}
  void Message(ConsoleObservable* source, ConsoleEvent, ConsoleEventInfo info);
};
#endif /* __ConsoleObserver_interface__ */
