#ifndef __ConsoleCommand_interface__
#define __ConsoleCommand_interface__

#include "Console.H"
#include "commands/Command.H"
#include <string.h>

class ConsoleCommand : public Command {
protected:
  char* _name;
  Console* _console;
  ConsoleEventInfo eventinfo;
public:
  ConsoleCommand(Console* aconsole, char* name) : _name(name), _console(aconsole) {}
  virtual int Execute(int argc, char** argv) {return 0;}
  int IsCommand(char* call) {return strcmp(_name, call);}
};
#endif /* __ConsoleCommand_interface__ */
