#ifndef __CursesDisplay_interface__
#define __CursesDisplay_interface__

#include "Display.H"
#include <curses.h>

class CursesDisplay : public Display 
{
  int _posX;
  int _posY;
  WINDOW* win;
public: 
  CursesDisplay();
  ~CursesDisplay();

  bool Clear();
  bool Refresh();
  bool Reset();
  bool Print(const char*);
  bool Print(int x, int y, const char*);
  bool ShowSymbol(int x, int y, const char symbol);
};
#endif /* __CursesDisplay_interface__ */
