#include "ConsoleObservable.H"
#include <algorithm>

void ConsoleObservable::Notify(ConsoleEvent event, ConsoleEventInfo info)
{
  for (ObserverList::iterator where = listener.begin();where != listener.end();where++)
  {
    (*where)->Message(this, event, info);
  }
}

void ConsoleObservable::Attach(ConsoleObserver* o)
{
  listener.push_back(o);
}
  
  
void ConsoleObservable::Dettach(ConsoleObserver* o)
{
  listener.erase(find(listener.begin(),listener.end(),o));
}
  	 
 
  
