#include "CursesInputDisplay.H"

CursesInputDisplay::CursesInputDisplay()
{ 
  nonl();
  intrflush(stdscr, FALSE);
  keypad(stdscr, TRUE);
  cbreak();
  noecho();
}
  
bool CursesInputDisplay::GetEvent()
{
  timeout(0);

  int value = getch();
  if (value == ERR) return false;
  Notify(InputEvents::Key, value);
  return true;
}

