#include "fs/snfs/SNFSObj.H"
#include "fs/snfs/errno.h"

SNFSObj::SNFSObj(SNFSFS *filesystem, unsigned long handlenr) : 
  reference_count(0), handle(handlenr), fs(filesystem) {}

SNFSFS* SNFSObj::filesystem() 
{ 
  return fs;
}

void SNFSObj::new_reference() 
{ 
  reference_count++;
}

void SNFSObj::release_reference() 
{ 
  if ((--reference_count) == 0) delete this; 
}
